
#pragma once

#include <LibJS/Runtime/Object.h>

namespace Web::Bindings {

class IDBObjectStorePrototype : public JS::Object {
    JS_OBJECT(IDBObjectStorePrototype, JS::Object);
    GC_DECLARE_ALLOCATOR(IDBObjectStorePrototype);
public:
    static void define_unforgeable_attributes(JS::Realm&, JS::Object&);

    explicit IDBObjectStorePrototype(JS::Realm&);
    virtual void initialize(JS::Realm&) override;
    virtual ~IDBObjectStorePrototype() override;
private:

    JS_DECLARE_NATIVE_FUNCTION(name_getter);

    JS_DECLARE_NATIVE_FUNCTION(name_setter);

    JS_DECLARE_NATIVE_FUNCTION(key_path_getter);

    JS_DECLARE_NATIVE_FUNCTION(transaction_getter);

    JS_DECLARE_NATIVE_FUNCTION(auto_increment_getter);


};


} // namespace Web::Bindings
    